Freeciv-3.2: packet_tile_info Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_tile_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | tile
Continent_id | continent
enum known_type | known
int | owner
int | extras_owner
int | worked
Terrain_type_id | terrain
Resource_type_id | resource
bv_extras | extras
int | placing
int | place_turn
char | spec_sprite [MAX_LEN_NAME]
char | label [MAX_LEN_MAP_LABEL]

## Detailed Description

Definition at line 99 of file packets_gen.h.

## Field Documentation

## ◆ continent

Continent_id packet_tile_info::continent

Definition at line 101 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ extras

bv_extras packet_tile_info::extras

Definition at line 108 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ extras_owner

int packet_tile_info::extras_owner

Definition at line 104 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ known

enum known_type packet_tile_info::known

Definition at line 102 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ label

char packet_tile_info::label[MAX_LEN_MAP_LABEL]

Definition at line 112 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ owner

int packet_tile_info::owner

Definition at line 103 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ place_turn

int packet_tile_info::place_turn

Definition at line 110 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ placing

int packet_tile_info::placing

Definition at line 109 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ resource

Resource_type_id packet_tile_info::resource

Definition at line 107 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ spec_sprite

char packet_tile_info::spec_sprite[MAX_LEN_NAME]

Definition at line 111 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ terrain

Terrain_type_id packet_tile_info::terrain

Definition at line 106 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().

## ◆ tile

int packet_tile_info::tile

Definition at line 100 of file packets_gen.h.

Referenced by handle_tile_info(), and send_tile_info().

## ◆ worked

int packet_tile_info::worked

Definition at line 105 of file packets_gen.h.

Referenced by handle_tile_info(), send_packet_tile_info_100(), and send_tile_info().